<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>ClayKeystoreWrapper</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClayKeystoreWrapper";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" target="_top">Frames</a></li>
<li><a href="ClayKeystoreWrapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.internal.keystore</div>
<h2 title="Class ClayKeystoreWrapper" class="title">Class ClayKeystoreWrapper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.internal.keystore.ClayKeystoreWrapper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClayKeystoreWrapper</span>
extends java.lang.Object
implements <a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.crypto.Cipher</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#mCipher">mCipher</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.content.Context</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#mContext">mContext</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.security.KeyStore</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#mKeyStore">mKeyStore</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#TAG">TAG</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#ClayKeystoreWrapper-android.content.Context-">ClayKeystoreWrapper</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#decrypt-java.lang.String-java.lang.String-">decrypt</a></span>(java.lang.String&nbsp;inputString,
       java.lang.String&nbsp;alias)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#encrypt-java.lang.String-java.lang.String-">encrypt</a></span>(java.lang.String&nbsp;inputString,
       java.lang.String&nbsp;alias)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>javax.crypto.Cipher</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getCipher--">getCipher</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getKeyForAlias-java.lang.String-">getKeyForAlias</a></span>(java.lang.String&nbsp;alias)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.security.KeyStore</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getKeystore--">getKeystore</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private javax.crypto.Cipher</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#initCipher-java.security.KeyStore-">initCipher</a></span>(java.security.KeyStore&nbsp;keyStore)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private java.security.KeyStore</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#initKeystore--">initKeystore</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAG</h4>
<pre>private static final&nbsp;java.lang.String TAG</pre>
</li>
</ul>
<a name="mContext">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mContext</h4>
<pre>private&nbsp;android.content.Context mContext</pre>
</li>
</ul>
<a name="mKeyStore">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mKeyStore</h4>
<pre>private&nbsp;java.security.KeyStore mKeyStore</pre>
</li>
</ul>
<a name="mCipher">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mCipher</h4>
<pre>private&nbsp;javax.crypto.Cipher mCipher</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClayKeystoreWrapper-android.content.Context-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClayKeystoreWrapper</h4>
<pre>public&nbsp;ClayKeystoreWrapper(android.content.Context&nbsp;context)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getKeystore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeystore</h4>
<pre>public&nbsp;java.security.KeyStore&nbsp;getKeystore()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#getKeystore--">getKeystore</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></code></dd>
</dl>
</li>
</ul>
<a name="getCipher--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCipher</h4>
<pre>public&nbsp;javax.crypto.Cipher&nbsp;getCipher()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#getCipher--">getCipher</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></code></dd>
</dl>
</li>
</ul>
<a name="encrypt-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encrypt</h4>
<pre>public&nbsp;java.lang.String&nbsp;encrypt(java.lang.String&nbsp;inputString,
                                java.lang.String&nbsp;alias)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#encrypt-java.lang.String-java.lang.String-">encrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></code></dd>
</dl>
</li>
</ul>
<a name="decrypt-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decrypt</h4>
<pre>public&nbsp;java.lang.String&nbsp;decrypt(java.lang.String&nbsp;inputString,
                                java.lang.String&nbsp;alias)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#decrypt-java.lang.String-java.lang.String-">decrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></code></dd>
</dl>
</li>
</ul>
<a name="getKeyForAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyForAlias</h4>
<pre>private&nbsp;java.lang.String&nbsp;getKeyForAlias(java.lang.String&nbsp;alias)</pre>
</li>
</ul>
<a name="initCipher-java.security.KeyStore-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initCipher</h4>
<pre>private&nbsp;javax.crypto.Cipher&nbsp;initCipher(java.security.KeyStore&nbsp;keyStore)</pre>
</li>
</ul>
<a name="initKeystore--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initKeystore</h4>
<pre>private&nbsp;java.security.KeyStore&nbsp;initKeystore()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" target="_top">Frames</a></li>
<li><a href="ClayKeystoreWrapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
